Subject: [dispatch] Fwd: [clue] conference roles

From: Simon Pietro Romano <[email-masked]>
Date: Sat, 6 Apr 2013 00:40:22 +0200

FYI.

Simon

Inizio messaggio inoltrato:

> Da: Simon Pietro Romano <[email-masked]>
> Oggetto: Re: [clue] [dispatch] conference roles
> Data: 06 aprile 2013 00:39:19 GMT+02:00
> A: Peter Saint-Andre <[email-masked]>
> Cc: [email-masked]
> 
> Hi Peter,
> 
> thank you for raising such an interesting discussion. This reminds me of a specific thread dedicated to policies and roles inside XCON, back in 2007. I expressed my personal view on this subject in a (long) e-mail (http://www.ietf.org/mail-archive/web/xcon/current/msg01919.html) you might want to have a look at. As you mention in your e-mail "future policy documents" have not been published.
> 
> Cheers,
> 
> Simon
> 
> 
> Il giorno 04/apr/2013, alle ore 16:42, Peter Saint-Andre ha scritto:
> 
>> FYI.
>> 
>> 
>> -------- Original Message --------
>> Subject: [dispatch] conference roles
>> Date: Wed, 03 Apr 2013 19:56:01 -0600
>> From: Peter Saint-Andre <[email-masked]>
>> To: DISPATCH <[email-masked]>
>> 
>> RFC 4575 (Section 5.6.3) defines the concept of a role in a
>> conference, but does not specify or define any roles.
>> 
>> 5.6.3. <roles>
>> 
>>   This element MAY contain a set of human-readable strings describing
>>   the roles of the user in the conference.  Note that this information
>>   is applicable for human consumption only.  This specification does
>>   not define the set of possible conferencing roles or the semantics
>>   associated with each.  It is expected that future conferencing
>>   specifications will define these and the corresponding schema
>>   extensions, as appropriate.
>> 
>> RFC 6501 (Section 4.6.5.2) specifies a few values for the role
>> element, but does not actually define what those values mean.
>> 
>> 4.6.5.2. <roles>
>> 
>>   A <role> provides the context for the set of conference operations
>>   that a participant can perform.  This element can contain one or more
>>   of the following values: "administrator", "moderator", "user",
>>   "participant", "observer", and "none".  A role of "none" indicates
>>   that any role is assigned.  The <roles> semantic definition is out of
>>   the scope of this document and is subject to future policy documents.
>>   This element can be extended with new roles in future documents.
>> 
>> (As far as I know, those "future policy documents" have not been
>> published.)
>> 
>> More recently, draft-groves-clue-capture-attr specifies several
>> additional roles: "manager", "chairman", "secretary", "lecturer", and
>> "audience" (so-called person roles) as well as "speaker" and
>> "controller" (so-called conference roles). Personally, I happen to
>> have an interest in defining a few other roles, such as "host",
>> "presenter", "scribe", and "panelist".
>> 
>> Unfortunately there's quite a bit of overlap and confusion here. For
>> instance, one could argue that "host", "manager", and "controller"
>> (perhaps even "chairman") are the same as or very similar to
>> "administrator" or "moderator" from RFC 6501. There might also be
>> overlap between "lecturer", "speaker", and "presenter" (and between
>> "speaker" and "panelist").
>> 
>> Furthermore, I'm concerned that various implementations will define
>> their own roles, blithely unaware that very similar (or even identical
>> but differently named roles) are already in use by other implementations.
>> 
>> It strikes me that one solution here would be to establish an IANA
>> registry for conference roles, with a registration policy (cf. RFC
>> 5226) of at least Expert Review and perhaps Specification Required (I
>> think RFC Required is a bit heavy). IMHO this would help to prevent
>> continued confusion and the minting of new roles that overlap with
>> existing roles.
>> 
>> Thoughts?
>> 
>> Peter
>> 
>> _______________________________________________
>> dispatch mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/dispatch
>> 
>> 
>> _______________________________________________
>> clue mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/clue
>> 
> 
>                      					       _\\|//_
>                            				      ( O-O )
>    ~~~~~~~~~~~~~~~~~~~~~~o00~~(_)~~00o~~~~~~~~~~~~~~~~~~~~~~~~
>                     				Simon Pietro Romano
>              				 Universita' di Napoli Federico II
>                 		     Computer Engineering Department 
> 	             Phone: +39 081 7683823 -- Fax: +39 081 7683816
>                                            e-mail: [email-masked]
> 
> 		    <<Molti mi dicono che lo scoraggiamento Ë l'alibi degli 
> 		    idioti. Ci rifletto un istante; e mi scoraggio>>. Magritte.
>                			                     oooO
>   ~~~~~~~~~~~~~~~~~~~~~~~(   )~~~ Oooo~~~~~~~~~~~~~~~~~~~~~~~~~
> 					                 \ (            (   )
> 			                                  \_)          ) /
>                                                                        (_/
> 
> 
> 
> 
> 

                     					       _\\|//_
                           				      ( O-O )
   ~~~~~~~~~~~~~~~~~~~~~~o00~~(_)~~00o~~~~~~~~~~~~~~~~~~~~~~~~
                    				Simon Pietro Romano
             				 Universita' di Napoli Federico II
                		     Computer Engineering Department 
	             Phone: +39 081 7683823 -- Fax: +39 081 7683816
                                           e-mail: [email-masked]

		    <<Molti mi dicono che lo scoraggiamento Ë l'alibi degli 
		    idioti. Ci rifletto un istante; e mi scoraggio>>. Magritte.
               			                     oooO
  ~~~~~~~~~~~~~~~~~~~~~~~(   )~~~ Oooo~~~~~~~~~~~~~~~~~~~~~~~~~
					                 \ (            (   )
			                                  \_)          ) /
                                                                       (_/